%define bootstrap  0

Summary:	Initialize an X session
Name:		xinit
Version:	1.3.4
Release:	1
License:	MIT
Group:		System/X11
Url:		http://cgit.freedesktop.org/xorg/app/xinit
Source0:	http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
# (fc) 1.0.2-2mdv readd modifications for startx (argument parsing)
# This patch is part of the old "startx" patch.
# We need to check why exactly this patch is needed, but it does these things:
# - it removes the default client and server from the startx arguments, so if
#   nothing is specified the default server or client will be the one chosen by
#   xinit
# - it uses trap to make sure the "cleanup" function will be run
# - it partially undoes upstream commit 9632367abd03108f3636b05e9f2fd92f5c28dabe
# - it enables commands like "startx startxfce4", which don't work in the
#   unpatched version (should be "startx /usr/bin/startxfce4")
#Previous versions of this patch had a bug where xinit would be run twice if some
#macros were defined.
Patch0:		xinit-1.3.4-startx-arguments.patch
# Fix issue with xauth after hostname change
Patch1:		xinit-1.3.4-tolerant-hostname-changes.patch
# (fc) prevent freeze from applications trying to read stdin (Fedora bug #214649)
Patch2:		xinit-1.3.4-client-session.patch
# (fc) unset XDG_SESSION_COOKIE in startx (Fedora bug #489999)
Patch3:		xinit-1.0.9-unset.patch
# (pz) this patch was taken from the old startx.patch
Patch4:		xinit-1.3.4-replace-xterm-for-xvt.patch
# (cg) use the current vt to maintain the current session status.
Patch5:		xinit-1.3.4-use-current-vt.patch
# Backport from upstream
Patch6:		0000-xinit-startx-Pass-keeptty.patch

BuildRequires:	pkgconfig(x11)
BuildRequires:	x11-util-macros >= 1.0.1
Requires:	xinitrc
%if !%{bootstrap}
Requires:	which
%endif

%description
The xinit program is used to start the X Window System server and a first
client program on systems that cannot start X directly from /etc/init or in
environments that use multiple window systems. When this first client exits,
xinit will kill the X server and then terminate.

%files
%{_bindir}/xinit
%{_bindir}/startx
%{_mandir}/man1/startx.1*
%{_mandir}/man1/xinit.1*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .orig
%patch1 -p1 -b .hostname
%patch2 -p1 -b .client-session
%patch3 -p1 -b .unset
%patch4 -p1 -b .xvt
%patch5 -p1 -b .curvt
%patch6 -p1 -b .tty

%build
%configure2_5x
%make XINITDIR=/etc/X11/xinit

%install
%makeinstall_std

#don't use xorg xinitrc file, use our own, provided by xinitrc package
rm -fr %{buildroot}%{_libdir}/X11/xinit/xinitrc
rm -fr %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc


%changelog

* Sun Aug 16 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3.4-1
- (632db2b) Backport upstream patch to handle tty issues


